// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/20AO8C500K/include/20ao8c500k_dsl.h $
// $Rev: 53736 $
// $Date: 2023-09-21 16:09:42 -0500 (Thu, 21 Sep 2023) $

// 20AO8C500K: Document Source Library: header file

#ifndef	__20AO8C500K_DSL_H__
#define	__20AO8C500K_DSL_H__

#include <stdlib.h>

#include "20ao8c500k_api.h"



// prototypes *****************************************************************

int	ao8c500k_close_dsl	(int fd);
int	ao8c500k_init_dsl	(void);
int	ao8c500k_ioctl_dsl	(int fd, int request, void* arg);
int	ao8c500k_open_dsl	(int device, int share, int* fd);
int ao8c500k_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	ao8c500k_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
